## IAnjutaWizard

IAnjutaWizard — Interface for wizards that can create new stuffs

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-wizard.h>

    #define             IANJUTA_WIZARD_ERROR
                        IAnjutaWizard;
                        IAnjutaWizardIface;
    GQuark              ianjuta_wizard_error_quark          (void);
    void                ianjuta_wizard_activate             (IAnjutaWizard *obj,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaWizard

## Prerequisites

IAnjutaWizard requires GObject.

## Description

## Details

### IANJUTA_WIZARD_ERROR

    #define IANJUTA_WIZARD_ERROR ianjuta_wizard_error_quark()

### IAnjutaWizard

    typedef struct _IAnjutaWizard IAnjutaWizard;

### IAnjutaWizardIface

    typedef struct {
    	GTypeInterface g_iface;

    	void (*activate) (IAnjutaWizard *obj, GError **err);
    } IAnjutaWizardIface;

### ianjuta_wizard_error_quark ()

    GQuark              ianjuta_wizard_error_quark          (void);

Returns : |

### ianjuta_wizard_activate ()

    void                ianjuta_wizard_activate             (IAnjutaWizard *obj,
                                                             GError **err);

fixme

`obj` : | Self
`err` : | Error propagation and reporting.